summaryrefslogtreecommitdiffstats
path: root/speex
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2010-08-25 19:46:33 +0000
committer Eric Hameleers <alien@slackware.com>2010-08-25 19:46:33 +0000
commita96c4edae9273b59212dc8cf601427ad514b339e (patch)
tree5141bc49973486053742c8110c3b8d2f1e89f1ba /speex
parent630b7bc2b178d3f34c9260311f64df8ebb625456 (diff)
downloadasb-a96c4edae9273b59212dc8cf601427ad514b339e.tar.gz
asb-a96c4edae9273b59212dc8cf601427ad514b339e.tar.xz
Update to 1.2rc1 for Slackware 13.1
Diffstat (limited to 'speex')
-rwxr-xr-xspeex/build/speex.SlackBuild242
1 files changed, 80 insertions, 162 deletions
diff --git a/speex/build/speex.SlackBuild b/speex/build/speex.SlackBuild
index 599f4711..5750c51f 100755
--- a/speex/build/speex.SlackBuild
+++ b/speex/build/speex.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
# $Id$
-# Copyright (c) 2006 Eric Hameleers <alien@slackware.com>
+# Copyright (c) 2006, 2010 Eric Hameleers, Eindhoven, NL
# -----------------------------------------------------------------------------
#
# Slackware SlackBuild script
@@ -14,34 +14,32 @@
# 1.2beta1-1: 23/Dec/2006 by Eric Hameleers <alien@slackware.com>
# * Initial build. Even though it is called 'beta1' it is still
# the recommended download.
+# 1.2rc1-1: 25/aug/2010 by Eric Hameleers <alien@slackware.com>
+# * Update.
#
-# Run 'sh speex.SlackBuild --cleanup' to build a Slackware package.
-# The package (.tgz) plus descriptive .txt file are created in /tmp .
-# Install using 'installpkg'.
+# Run 'sh @PROGNAME@.SlackBuild' to build a Slackware package.
+# The package (.tgz) and .txt file as well as build logs are created in /tmp .
+# Install it using 'installpkg'.
#
# -----------------------------------------------------------------------------
-# --- INIT ---
# Set initial variables:
PRGNAM=speex
-VERSION=${VERSION:-1.2beta1}
-ARCH=${ARCH:-i486}
+VERSION=${VERSION:-1.2rc1}
BUILD=${BUILD:-1}
+TAG=${TAG:-alien}
DOCS="AUTHORS COPYING ChangeLog INSTALL NEWS README* Speex.kdevelop TODO"
# Where do we look for sources?
-CWD=`pwd`
-SRCDIR=`dirname $0`
-[ "${SRCDIR:0:1}" == "." ] && SRCDIR=${CWD}/${SRCDIR}
+SRCDIR=$(cd $(dirname $0); pwd)
# Place to build (TMP) package (PKG) and output (OUTPUT) the program:
TMP=${TMP:-/tmp/build}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-# Input URL: http://downloads.us.xiph.org/releases/speex/speex-1.0.5.tar.gz
SOURCE="$SRCDIR/${PRGNAM}-${VERSION}.tar.gz"
SRCURL="http://downloads.us.xiph.org/releases/${PRGNAM}/${PRGNAM}-${VERSION}.tar.gz"
@@ -49,77 +47,62 @@ SRCURL="http://downloads.us.xiph.org/releases/${PRGNAM}/${PRGNAM}-${VERSION}.tar
## --- with a little luck, you won't have to edit below this point --- ##
##
-# Exit the script on errors:
-set -e
-trap 'echo "$0 FAILED at line $LINENO!" | tee $OUTPUT/error-${PRGNAM}.log' ERR
-# Catch unitialized variables:
-set -u
-P1=${1:-1}
-
-# Slackware 11 and up need other option (gcc > 3.3.x)
-if [ `gcc -dumpversion | tr -d '.' |cut -c 1-2` -gt 33 ]; then
- MOPT=tune
-else
- MOPT=cpu
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
fi
case "$ARCH" in
- i386) SLKCFLAGS="-O2 -march=i386 -m${MOPT}=i686"
- SLKLDFLAGS=""; LIBDIRSUFFIX=""
- ;;
- i486) SLKCFLAGS="-O2 -march=i486 -m${MOPT}=i686"
- SLKLDFLAGS=""; LIBDIRSUFFIX=""
- ;;
- s390) SLKCFLAGS="-O2"
- SLKLDFLAGS=""; LIBDIRSUFFIX=""
- ;;
- powerpc) SLKCFLAGS="-O2"
+ i486) SLKCFLAGS="-O2 -march=i486 -mtune=i686"
SLKLDFLAGS=""; LIBDIRSUFFIX=""
;;
x86_64) SLKCFLAGS="-O2 -fPIC"
SLKLDFLAGS="-L/usr/lib64"; LIBDIRSUFFIX="64"
;;
- athlon-xp) SLKCFLAGS="-march=athlon-xp -O3 -pipe -fomit-frame-pointer"
+ *) SLKCFLAGS="-O2"
SLKLDFLAGS=""; LIBDIRSUFFIX=""
;;
esac
+# Exit the script on errors:
+set -e
+trap 'echo "$0 FAILED at line ${LINENO}" | tee $OUTPUT/error-${PRGNAM}.log' ERR
+# Catch unitialized variables:
+set -u
+P1=${1:-1}
-if [ ! -d $TMP/tmp-$PRGNAM ]; then
- mkdir -p $TMP/tmp-$PRGNAM # location to build the source
-elif [ "$P1" != "--oldbuild" ]; then
- # If the "--oldbuild" parameter is present, we keep
- # the old build files and continue;
- # By default we remove the remnants of previous build and continue:
- rm -rf $TMP/tmp-$PRGNAM/*
-fi
-
-if [ ! -d $PKG ]; then
- mkdir -p $PKG # place for the package to be built
-else
- rm -rf $PKG/* # We always erase old package's contents:
-fi
-
-if [ ! -d $OUTPUT ]; then
- mkdir -p $OUTPUT # place for the package to be saved
-fi
-
+# Save old umask and set to 0022:
+_UMASK_=$(umask)
+umask 0022
-# --- SOURCE FILE AVAILABILITY ---
+# Create working directories:
+mkdir -p $OUTPUT # place for the package to be saved
+mkdir -p $TMP/tmp-$PRGNAM # location to build the source
+mkdir -p $PKG # place for the package to be built
+rm -rf $PKG/* # always erase old package's contents
+rm -rf $TMP/tmp-$PRGNAM/* # remove the remnants of previous build
+rm -rf $OUTPUT/{configure,make,install,error,makepkg}-$PRGNAM.log
+ # remove old log files
+# Source file availability:
if ! [ -f ${SOURCE} ]; then
if ! [ "x${SRCURL}" == "x" ]; then
# Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
- [ -w "$SRCDIR" ] || SOURCE="$OUTPUT/`basename $SOURCE`"
- echo "Source '`basename ${SOURCE}`' not available yet..."
- echo "Will download file to `dirname $SOURCE`"
- wget -nv -O "${SOURCE}" "${SRCURL}" || true
- if [ $? -ne 0 ]; then
- echo "Downloading '`basename ${SOURCE}`' failed... aborting the build."
+ [ -w "$SRCDIR" ] || SOURCE="$OUTPUT/$(basename $SOURCE)"
+ echo "Source '$(basename ${SOURCE})' not available yet..."
+ echo "Will download file to $(dirname $SOURCE)"
+ wget -nv -T 20 -O "${SOURCE}" "${SRCURL}" || true
+ if [ $? -ne 0 -o ! -s "${SOURCE}" ]; then
+ echo "Downloading '$(basename ${SOURCE})' failed... aborting the build."
mv -f "${SOURCE}" "${SOURCE}".FAIL
exit 1
fi
else
- echo "File '`basename ${SOURCE}`' not available... aborting the build."
+ echo "File '$(basename ${SOURCE})' not available... aborting the build."
exit 1
fi
fi
@@ -135,127 +118,62 @@ echo "++"
echo "|| $PRGNAM-$VERSION"
echo "++"
-cd $PKG
-
-# Explode the package framework:
-if [ -f $SRCDIR/_$PRGNAM.tar.gz ]; then
- explodepkg $SRCDIR/_$PRGNAM.tar.gz
-fi
+echo Building ...
cd $TMP/tmp-$PRGNAM
-
-# --- TARBALL EXTRACTION,PATCH,MODIFY ---
-
echo "Extracting the source archive(s) for $PRGNAM..."
-if `file ${SOURCE} | grep -q ": bzip2"`; then
- tar -xjvf ${SOURCE}
-elif `file ${SOURCE} | grep -qi ": zip"`; then
- unzip ${SOURCE}
-elif `file ${SOURCE} | grep -qi ": 7-zip"`; then
- 7za -x ${SOURCE}
-else
- tar -xzvf ${SOURCE}
-fi
-if [ -d ${PRGNAM}-${VERSION} ]; then
- cd ${PRGNAM}-${VERSION}
-else
- cd ${PRGNAM}* # a little less specific
-fi
-
-chown -R root.root *
-find . -perm 777 -exec chmod 755 {} \;
-find . -perm 666 -exec chmod 644 {} \;
-
-
-# --- BUILDING ---
-
-echo Building ...
+tar -xvf ${SOURCE}
+cd ${PRGNAM}-${VERSION}
+chown -R root:root .
+chmod -R u+w,go+r-w,a+X-s .
LDFLAGS="$SLKLDFLAGS" \
CFLAGS="$SLKCFLAGS" \
-./configure --prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
- --localstatedir=/var \
- --sysconfdir=/etc \
- --disable-static \
- --program-prefix="" \
- --program-suffix="" \
- $ARCH-slackware-linux \
- 2>&1 | tee $OUTPUT/configure-${PRGNAM}.log
-make 2>&1 | tee $OUTPUT/make-${PRGNAM}.log
-
-#
-# Install all the needed stuff to the package dir
-#
-# Use installwatch if available, to produce a logfile of the installation
-# process that is more easily readable:
-if `which installwatch > /dev/null 2>&1`; then
- installwatch -o $OUTPUT/install-${PRGNAM}.log make DESTDIR=$PKG install
-else
- make DESTDIR=$PKG install 2>&1 |tee $OUTPUT/install-${PRGNAM}.log
-fi
-
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --sysconfdir=/etc \
+ --program-prefix= \
+ --program-suffix= \
+ --build=$ARCH-slackware-linux \
+ 2>&1 | tee $OUTPUT/configure-${PRGNAM}.log
+make 2>&1 | tee $OUTPUT/make-${PRGNAM}.log
+make DESTDIR=$PKG install 2>&1 | tee $OUTPUT/install-${PRGNAM}.log
-# --- DOCUMENTATION ---
-
+# Add some documentation to the package:
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true
-mv $PKG/usr/share/doc/$PRGNAM-$VERSION/* $PKG/usr/doc/$PRGNAM-$VERSION/
-rm -rf $PKG/usr/share/doc
-chmod -R a-w $PKG/usr/doc/$PRGNAM-$VERSION/*
+cp -a $SRCDIR/$(basename $0) $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chown -R root:root $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
-# Move incorrectly installed man pages, if any
-[ -d $PKG/usr/share/man ] && \
- mv $PKG/usr/share/man $PKG/usr/ && rmdir $PKG/usr/share || true
-# Compress the man page(s)
+# Compress the man page(s):
if [ -d $PKG/usr/man ]; then
- find $PKG/usr/man -type f -name "*.?" -exec gzip -9f {} \;
- for i in `find $PKG/usr/man -type l -name "*.?"` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+ cd $PKG/usr/man
+ find . -type f -name "*.?" -exec gzip -9f {} \;
+ for i in $(find . -type l -name "*.?") ; do ln -s $( readlink $i ).gz $i.gz ;
+rm $i ; done
fi
-# Strip binaries
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
-
-
-# --- OWNERSHIP, RIGHTS ---
-
-chmod -R o-w $PKG
-
-
-# --- PACKAGE DESCRIPTION ---
+# Strip binaries (if any):
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f1 -d: | xargs strip --strip-unneeded 2>/dev/null || true
+# Add a package description:
mkdir -p $PKG/install
cat $SRCDIR/slack-desc > $PKG/install/slack-desc
-if [ -f $SRCDIR/doinst.sh ]; then
- cat $SRCDIR/doinst.sh >> $PKG/install/doinst.sh
-fi
-if [ -f $SRCDIR/slack-required ]; then
- cat $SRCDIR/slack-required > $PKG/install/slack-required
-fi
-
-
-# --- BUILDING ---
# Build the package:
cd $PKG
-makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz \
- 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
-(cd $OUTPUT && md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz.md5)
-cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.txt
-if [ -f $PKG/install/slack-required ]; then
- cat $PKG/install/slack-required > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.dep
-fi
-
+makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.tgz 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
+cd $OUTPUT
+md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.tgz > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.tgz.md5
+cd -
+cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.txt
-# --- CLEANUP ---
+# Restore the original umask:
+umask ${_UMASK_}
-# Clean up the extra stuff:
-if [ "$P1" = "--cleanup" ]; then
- rm -rf $TMP/tmp-$PRGNAM
- rm -rf $PKG
-fi